> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/umbraco-cms/13.latest/reference/angular.md).

# AngularJS

The Umbraco backoffice is built using AngularJS. The implementation is made up of many directives and services.

{% hint style="warning" %}
**As of Umbraco 10, this section will no longer be updated.**

Please refer to the [Backoffice UI API Documentation](/umbraco-cms/13.latest/extending/backoffice-ui-api-documentation.md) article instead.

For any questions regarding the above, feel free to reach out at <docs@umbraco.com>.

You can also raise an issue on the [official UmbracoDocs GitHub Issue Tracker](https://github.com/umbraco/UmbracoDocs/issues).

This section will be removed on Umbraco 14.
{% endhint %}

Generally, you can find information about these via the [Backoffice UI API documentation](https://apidocs.umbraco.com/v13/ui). This part of the documentation is auto-generated from the Umbraco source code.

Below you can find more in-depth descriptions and examples of AngularJS directives and services.

## Directives

* [Layout selector](/umbraco-cms/13.latest/reference/angular/directives/umblayoutselector.md) (`<umbLayoutSelector />`)
* [Load indicator](/umbraco-cms/13.latest/reference/angular/directives/umbloadindicator.md) (`<umbLoadIndicator />`)
* [Property](/umbraco-cms/13.latest/reference/angular/directives/umbproperty.md) (`<umbProperty />`)

## Services

* [Editor service](/umbraco-cms/13.latest/reference/angular/services/editorservice.md)
* [Events service](/umbraco-cms/13.latest/reference/angular/services/eventsservice.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.umbraco.com/umbraco-cms/13.latest/reference/angular.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
